import 'package:flutter/material.dart';
import 'package:layout_grid/layout_grid.dart';

import '../utils.dart';

final kLayoutGridSpacing = LayoutValue(xs: 5.0, md: 8.0, lg: 12.0);
final kLayoutGridCount = LayoutValue(xs: 2, sm: 4, md: 6, lg: 10);

class VGVExample extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
   final spacing = kLayoutGridSpacing.resolve(context);
    final axisCount = kLayoutGridCount.resolve(context);
    return LayoutGrid.builder(
      padding: EdgeInsets.all(spacing),
      itemCount: 1000,
      gridDelegate: SliverLayoutGridDelegateWithFixedCrossAxisCount(
        crossAxisCount: axisCount,
        crossAxisSpacing: spacing,
        mainAxisSpacing: spacing,
        masonry: false,
      ),
      itemBuilder: (BuildContext context, int index) {
        final Color color = getRandomColor(index);
        final String text = getTextForIndex(index);
        final BoxDecoration decoration = BoxDecoration(
          borderRadius: BorderRadius.circular(4),
          border: Border.all(color: color.withOpacity(0.9)),
          color: color,
        );

        return Cell.fit(
          key: ValueKey('Cell: $index'),
          snap: 1,
          child: Container(
            padding: EdgeInsets.all(8),
            decoration: decoration,
            child: Text(text),
          ),
        );
      },
    );
  }
}
 